Bug 889270 - [abrt] libreoffice-core-3.6.3.2-8.fc18: GetFmt: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
[abrt] libreoffice-core-3.6.3.2-8.fc18: GetFmt: Process /usr/lib64/libreoffic...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:8d2346e6e5df8911e0df2188866...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-20 11:39 EST by christian.kirbach@googlemail.com
Modified: 2013-02-06 06:05 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-06 06:05:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (55.71 KB, text/plain)
2012-12-20 11:39 EST, christian.kirbach@googlemail.com
no flags Details
File: cgroup (129 bytes, text/plain)
2012-12-20 11:39 EST, christian.kirbach@googlemail.com
no flags Details
File: core_backtrace (3.79 KB, text/plain)
2012-12-20 11:39 EST, christian.kirbach@googlemail.com
no flags Details
File: dso_list (25.94 KB, text/plain)
2012-12-20 11:39 EST, christian.kirbach@googlemail.com
no flags Details
File: environ (1.87 KB, text/plain)
2012-12-20 11:39 EST, christian.kirbach@googlemail.com
no flags Details
File: limits (1.29 KB, text/plain)
2012-12-20 11:39 EST, christian.kirbach@googlemail.com
no flags Details
File: maps (116.11 KB, text/plain)
2012-12-20 11:39 EST, christian.kirbach@googlemail.com
no flags Details
File: open_fds (581 bytes, text/plain)
2012-12-20 11:39 EST, christian.kirbach@googlemail.com
no flags Details
File: proc_pid_status (940 bytes, text/plain)
2012-12-20 11:39 EST, christian.kirbach@googlemail.com
no flags Details
File: var_log_messages (348 bytes, text/plain)
2012-12-20 11:39 EST, christian.kirbach@googlemail.com
no flags Details

  None (edit)
Description christian.kirbach@googlemail.com 2012-12-20 11:39:20 EST
Description of problem:
I was moving lines and/or ellipsis previously drawn

Version-Release number of selected component:
libreoffice-core-3.6.3.2-8.fc18

Additional info:
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer --splash-pipe=6
crash_function: GetFmt
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.6.11-3.fc18.x86_64
remote_result:  NOTFOUND
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 GetFmt at /usr/src/debug/libreoffice-3.6.3.2/solver/unxlngx6.pro/inc/svx/sdtaaitm.hxx:35
 #1 SwFEShell::IsGroupSelected at /usr/src/debug/libreoffice-3.6.3.2/sw/source/core/frmedt/feshview.cxx:2216
 #2 SwDrawBaseShell::GetState at /usr/src/debug/libreoffice-3.6.3.2/sw/source/ui/shells/drwbassh.cxx:684
 #3 CallState at /usr/src/debug/libreoffice-3.6.3.2/sfx2/inc/sfx2/shell.hxx:201
 #4 SfxShell::GetSlotState at /usr/src/debug/libreoffice-3.6.3.2/sfx2/source/control/shell.cxx:924
 #5 SfxDispatcher::QueryState at /usr/src/debug/libreoffice-3.6.3.2/sfx2/source/control/dispatch.cxx:2260
 #6 SfxDispatchController_Impl::addStatusListener at /usr/src/debug/libreoffice-3.6.3.2/sfx2/source/control/unoctitm.cxx:834
 #7 SfxOfficeDispatch::addStatusListener at /usr/src/debug/libreoffice-3.6.3.2/sfx2/source/control/unoctitm.cxx:403
 #8 svt::ToolboxController::bindListener at /usr/src/debug/libreoffice-3.6.3.2/svtools/source/uno/toolboxcontroller.cxx:587
 #9 framework::ToolBarManager::UpdateControllers at /usr/src/debug/libreoffice-3.6.3.2/framework/source/uielement/toolbarmanager.cxx:502
Comment 1 christian.kirbach@googlemail.com 2012-12-20 11:39:24 EST
Created attachment 666778 [details]
File: backtrace
Comment 2 christian.kirbach@googlemail.com 2012-12-20 11:39:26 EST
Created attachment 666779 [details]
File: cgroup
Comment 3 christian.kirbach@googlemail.com 2012-12-20 11:39:29 EST
Created attachment 666780 [details]
File: core_backtrace
Comment 4 christian.kirbach@googlemail.com 2012-12-20 11:39:31 EST
Created attachment 666781 [details]
File: dso_list
Comment 5 christian.kirbach@googlemail.com 2012-12-20 11:39:33 EST
Created attachment 666782 [details]
File: environ
Comment 6 christian.kirbach@googlemail.com 2012-12-20 11:39:36 EST
Created attachment 666783 [details]
File: limits
Comment 7 christian.kirbach@googlemail.com 2012-12-20 11:39:38 EST
Created attachment 666784 [details]
File: maps
Comment 8 christian.kirbach@googlemail.com 2012-12-20 11:39:40 EST
Created attachment 666785 [details]
File: open_fds
Comment 9 christian.kirbach@googlemail.com 2012-12-20 11:39:44 EST
Created attachment 666786 [details]
File: proc_pid_status
Comment 10 christian.kirbach@googlemail.com 2012-12-20 11:39:47 EST
Created attachment 666787 [details]
File: var_log_messages
Comment 11 David Tardon 2012-12-21 00:23:17 EST
Can you reproduce the crash with the same document? Did you change any property of any of the moved objects--anchoring type, grouping etc.?
Comment 12 christian.kirbach@googlemail.com 2012-12-21 06:40:43 EST
I tried hard to reproduce the crash and managed it only once - this time while holding Ctrl-Z to undo all previous movements. There is an image accompanied by three lines and two elliptical arches. As far as I recall I tried to group all objects but it did not include the image in the group. I then shifted them both a couple of times and then hold Ctrl-Z.
I am not able to reproduce at will, I am afraid I can not offer any reproduction steps.
I created a minimal document by deleting all but the image and graphics objects but was not able to reproduce within reasonable time.

Note You need to log in before you can comment on or make changes to this bug.